summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorConrad Kostecki <conikost@gentoo.org>2021-02-21 22:17:02 +0100
committerConrad Kostecki <conikost@gentoo.org>2021-02-21 22:21:25 +0100
commit1f3c547fafb4c20f152ef86ad9155e1c5947fbe6 (patch)
tree533799e4f8f9efbfa5d568703a81b50721404ec6
parentdev-lua/lua-openssl: add lua5-4 support (diff)
downloadgentoo-1f3c547fafb4c20f152ef86ad9155e1c5947fbe6.tar.gz
gentoo-1f3c547fafb4c20f152ef86ad9155e1c5947fbe6.tar.bz2
gentoo-1f3c547fafb4c20f152ef86ad9155e1c5947fbe6.zip
dev-lua/lua-cjson: add lua5-4 support
Package-Manager: Portage-3.0.14, Repoman-3.0.2 Signed-off-by: Conrad Kostecki <conikost@gentoo.org>
-rw-r--r--dev-lua/lua-cjson/lua-cjson-2.1.0.8-r100.ebuild6
1 files changed, 3 insertions, 3 deletions
diff --git a/dev-lua/lua-cjson/lua-cjson-2.1.0.8-r100.ebuild b/dev-lua/lua-cjson/lua-cjson-2.1.0.8-r100.ebuild
index c7ff3172c0b..c6ca85c8396 100644
--- a/dev-lua/lua-cjson/lua-cjson-2.1.0.8-r100.ebuild
+++ b/dev-lua/lua-cjson/lua-cjson-2.1.0.8-r100.ebuild
@@ -1,9 +1,9 @@
-# Copyright 1999-2020 Gentoo Authors
+# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
-LUA_COMPAT=( lua5-{1..3} luajit )
+LUA_COMPAT=( lua5-{1..4} luajit )
inherit lua toolchain-funcs
@@ -61,7 +61,7 @@ src_compile() {
}
lua_src_test() {
- if ! [[ ${ELUA} == "lua5.3" ]]; then
+ if ! [[ ${ELUA} == "lua5.3" || ${ELUA} == "lua5.4" ]]; then
pushd "${BUILD_DIR}" || die
cd tests || die